## GogEditor

GogEditor — Property editor build helper

## Synopsis

                GogEditor;
                GogEditorPage;
    GogEditor*  gog_editor_new                  (void);
    void        gog_editor_add_page             (GogEditor *editor,
                                                 gpointer widget,
                                                 char const *label);
    void        gog_editor_set_store_page       (GogEditor *editor,
                                                 unsigned *store_page);
    gpointer    gog_editor_get_notebook         (GogEditor *editor);
    void        gog_editor_free                 (GogEditor *editor);

## Description

## Details

### GogEditor

    typedef struct {
    	unsigned	*store_page;	/* pointer to a place for storing last edited page */
    	GSList		*pages;		/* GogEditorPage */
    } GogEditor;

### GogEditorPage

    typedef struct {
    	char const	*label;		/* label for notebook page */
    	gpointer 	 widget;	/* GtkWidget* */
    } GogEditorPage;

### gog_editor_new ()

    GogEditor*  gog_editor_new                  (void);

Returns : |

### gog_editor_add_page ()

    void        gog_editor_add_page             (GogEditor *editor,
                                                 gpointer widget,
                                                 char const *label);

`editor` : |
`widget` : |
`label` : |

### gog_editor_set_store_page ()

    void        gog_editor_set_store_page       (GogEditor *editor,
                                                 unsigned *store_page);

`editor` : |
`store_page` : |

### gog_editor_get_notebook ()

    gpointer    gog_editor_get_notebook         (GogEditor *editor);

`editor` : |
Returns : |

### gog_editor_free ()

    void        gog_editor_free                 (GogEditor *editor);

`editor` : |